<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="data_width" type="uchar" initial="true" writable="false" default="16"
    description="Defines the input and output data width in bits."/>
  <property name="data_depth" type="ulong" initial="true" writable="false" default="16384"
    description="Maximum number of data_width samples the FIFO can hold."/>
  <property name="message_depth" type="ushort" initial="true" writable="false" default="512"
    description="Maximum number of messages the FIFO can hold."/>
  <property name="current_data_fill" type="ulong" writable="false" volatile="true"
    description="Read current number of words held in FIFO."/>
  <property name="current_message_fill" type="ushort" writable="false" volatile="true"
    description="Read current number of messages held in FIFO."/>
  <property name="empty_count" type="ushort" writable="true" volatile="true" default="0"
    description="Number of times buffer was empty, write to reset (to zero)."/>
  <property name="full_data_count" type="ushort" writable="true" volatile="true" default="0"
    description="Number of times data buffer was full, write to reset (to zero)."/>
  <property name="full_message_count" type="ushort" writable="true" volatile="true" default="0"
    description="Number of times message buffer was full, write to reset (to zero)."/>
  <port name="input" producer="false" numberofopcodes="6" defaultbuffersize="16384"/>
  <port name="output" producer="true" numberofopcodes="6" defaultbuffersize="16384"/>
</componentspec>
